<?php

namespace Modules\Attribute\Service;

use Modules\Attribute\Repositories\AttributeRepository;
use Modules\Category\Entities\Category;

class AttributeService
{
    protected $attributeRepository;

    public function __construct(AttributeRepository $attributeRepository)
    {
        $this->attributeRepository = $attributeRepository;
    }


    /**
     * @param array $data
     * @param array $category
     * @throws \Prettus\Validator\Exceptions\ValidatorException
     */
    public function create($data, $category){
        $attribute = $this->attributeRepository->create($data);

        $categoryChild = Category::query()->whereIn('parent', $category)->pluck('id')->toArray();

        if(count($categoryChild) > 0){
            $syncCate =  array_merge($category, $categoryChild);
        } else{
            $syncCate = $category;
        }

        $attribute->categories()->syncWithoutDetaching($syncCate);
    }
}




































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































